<?php 
 date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
	if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}


		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cdgven= $row["codusu"];

 
		$hoy=date("d/m/Y");
        $hora=date("H:i:s");
        exec('Impresoras'); /////////  DECLARA LA IMPRESORA  

   
$consulta = "SELECT * FROM web_0000 ";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $tipcamdol = $fila["tipcamdol"];
	     $clades = $fila["clades"];
 


$fechahoy=date("Y-m-d");
$sel_fact="INSERT INTO pedidostmp (codfactura,fecha) VALUE ('','$fechahoy')";
$mysqli->query($sel_fact);
$codfacturatmp=$mysqli-> insert_id ; 


$consulta2 =  "DELETE FROM pedidostmp  WHERE codfactura !='$codfacturatmp'";
$mysqli->query($consulta2);



////////////////////////////////////////////////       seleciona el detalle de lineas de la pedidos_lineas de contado  //////////////////////////////


//$sel_lineas="SELECT pedidos_lineas_contado.*,web_1001.* FROM pedidos_lineas_contado,web_1001 WHERE pedidos_lineas_contado.codfactura='$codfactura_contado' AND pedidos_lineas_contado.codigo=web_1001.cdgbar   ORDER BY pedidos_lineas_contado.numlinea ASC";
//$rs_lineas=mysql_query($sel_lineas);
//for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
//	$numlinea=mysql_result($rs_lineas,$i,"numlinea");
//	$cdgbar=mysql_result($rs_lineas,$i,"cdgbar");
//	$dscart=mysql_result($rs_lineas,$i,"dscart");
//	$cantidad=mysql_result($rs_lineas,$i,"cantidad");
//	$preivi=mysql_result($rs_lineas,$i,"preivi");
//	$importe=mysql_result($rs_lineas,$i,"importe");
//	$cob_iv=mysql_result($rs_lineas,$i,"cob_iv");
//	$existencia=mysql_result($rs_lineas,$i,"exiact");
//	$pasillo=mysql_result($rs_lineas,$i,"pasillo");
//	$estante=mysql_result($rs_lineas,$i,"estante");
//	$descuento=mysql_result($rs_lineas,$i,"dcto");
//	$cobra_impuesto=mysql_result($rs_lineas,$i,"impuesto");
//	
//
//	$importe=$cantidad*$preivi;
//	
// 	if ($descuento > 0 ){
//		
//		$mondes=$importe*$descuento/100;
//		
//		} else {
//			
//		$mondes=0;	
//			}
//	
//	$subtotal=$cantidad*$preivi;
//	
//		 
//		 	if ($cobra_impuesto > 0 ){
//				
//	$importe=$importe-$mondes;	
//	$monto_impuesto=$importe*1.13;
//	$impuesto=$monto_impuesto-$importe;
//			
//			} else {
//	$importe=$importe-$mondes;	
//	$impuesto=0;
//			}
//	
//
//
//	
//	
//			$sel_insert="INSERT INTO pedidos_lineastmp (codfactura,dscart, numlinea,codigo,cantidad,preivi,importe,dcto,mondes, impuesto, tipart) VALUES ('$codfacturatmp','$dscart','','$cdgbar','$cantidad','$preivi','$importe','$descuento' ,'$mondes','$impuesto','$tipart')";
//				$rs_insert=mysql_query($sel_insert);
//
//
//}
	
?>


<html>

	<head>
    
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        
  
  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>

		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
	
    <script>
  window.onkeydown = tecla;
  function tecla(event) {

  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==115){ ventanaArticulos(); } // f8 busqueda de articulos
if(num==121) {validar_cabecera()();  }// f7 pago de contado
if(num==120){ ConsultarArticulo();  }//f9 guardar e imprimir
if(num==118){ validar_cabecera(); 
			
 }//f10 guardar e imprimir 
if(num==27){ 


					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
		      devolver();
			 document.forms.formulario_lineas.action="frame_lineas_super.php"
			 document.getElementById("formulario_lineas").submit();  }//escape salir
  }  
  }

            /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}
 



</script>

    
    	




		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		


  ////////////   funcion al selecionar el combo tipo de venta  ////////////

		function redireccionar(obj) {
	
		var vencido=document.getElementById("vencido").value;
	    var valorSeleccionado = obj.options[obj.selectedIndex].value; 
 
 		if ( (valorSeleccionado == 2) && (vencido ==1) ) {
    		alert ("Cliente posee SALDO VENCIDO, no es permitido realizar compras a credito");
			document.getElementById("combotipoventa").value=1;
			 }
			}
					
	/////////////   Funcion vencicmiento al validar el cliente //////////////

		function vencido2(vencido) {

//   		if  (vencido == 1) {
//    		alert ("Cliente posee SALDO VENCIDO , no es permitido realizar compras a credito");
//			document.getElementById("combotipoventa").value=1;
//  			 }

					}
 
             //////////////////   valida el descuento maximo y minimo  ////////////////////
   
    function validardescuento(){

			   var	 desmax=document.getElementById("desmax").value;
			   var 	 desmin=document.getElementById("desmin").value;
			   var  descuento=document.getElementById("descuento").value;
			   desmax= parseFloat(desmax);
			   desmin= parseFloat(desmin);
			   descuento= parseFloat(descuento);
			   
    		
			
		if ( descuento <= desmin ) 
		 {
			 descuento=document.getElementById("descuento").value=descuento;
		
			  validar();
  				
			 }else if  ( descuento >  desmin && descuento  <= desmax ) {
			 
			      document.getElementById("popup").style.display = "block";
				  document.getElementById("pass").value=""; 
				  document.getElementById("pass").select();
				
				
 
	 		} else {
			
			alert ("El descuento maximo permitido es "+desmax+" %");

			descuento=document.getElementById("descuento").value="0";
			document.getElementById("descuento").select();
			
			 }
				}	
					
					
	
	
			function guardar_observacion(){
		
			var obsped=document.getElementById("obsped").value;
		
			miPopup = window.open("guardar_observacion.php?obsped="+obsped,"frame_datos6","width=900,height=90,scrollbars=yes");
			miPopup.focus();


		}	
						
					
	function done() { 

             document.getElementById("popup").style.display = "none";
   			 var password = document.getElementById("pass").value; 
			 var descuento = document.getElementById("descuento").value; 
			 var clades = document.getElementById("clades").value; 
			 clades=parseInt(clades);
		     password=parseInt(password);
	
	
			 if (clades== password) { 
			  document.getElementById("descuento").value=descuento;
			  validar();

			 
			 }else { 

			 alert("Contraseña incorrecta favor verifique");
			 descuento=document.getElementById("descuento").value="0";
			 document.getElementById("descuento").select();
			 
			}}





		function salir() {
			
		    if (confirm(" Desea cancelar la factura ? "))
			
			location.href="nueva_proforma_super.php";
		}
		

		var miPopup
		function abreVentana(){

		
			miPopup = window.open("ver_clientes.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();
		
	
		document.getElementById("cdgbar").focus();
		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("cantidad").value="1.00";
		document.getElementById("preivi").value="";
		document.getElementById("importe").value="";
		document.getElementById("dcto").value="";
		document.getElementById("descuento").value="";
		document.getElementById("cob_iv").value="";
		
	 
			}	
			
	
		
		function ventanaArticulos(){
			var codigo=document.getElementById("cdgcli").value;
			var cliexento=document.getElementById("cliexento").value;
			var dsccli=document.getElementById("dsccli").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del cliente antes de continuar");
			} else {
					miPopup = window.open("ver_articulos_super.php?codigo="+codigo+"&dsccli="+dsccli+"&cliexento="+cliexento,"miwin","width=1200,height=650,scrollbars=yes");
						document.getElementById("cantidad").select();
						actualizar_importe ();
		
				
			}
		}
	
	
		
		function ConsultarArticulo(){
	
					miPopup = window.open("../inventario/consultar_articulo_super.php?","miwin","width=1380,height=650,scrollbars=yes");
				
	
		}
	
		
					
		
		function validarcliente(){
		
		
		
			var codigo=document.getElementById("cdgcli").value;
			var filas=document.getElementById("filas").value;	
	
		
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();
		

		document.getElementById("cdgbar").value="";
		document.getElementById("dscart").value="";
		document.getElementById("cantidad").value="1.00";
		document.getElementById("preivi").value="";
		document.getElementById("importe").value="";
		document.getElementById("dcto").value="";
		document.getElementById("descuento").value="";
		document.getElementById("cob_iv").value="";
		

   
	
	
		}	
		
		
			function validararticulo(){
			
			var codigo=document.getElementById("cdgcli").value;
	
			if (codigo=="") {
				alert ("Debe introducir el codigo del cliente antes de continuar");
					document.getElementById("cdgbar").value="";
					
					
					
				
			} else {
				var cliexento=document.getElementById("cliexento").value;
	 			var dsccli=document.getElementById("dsccli").value;
			      var codigobarras=document.getElementById("cdgbar").value;
				  var cantidad=document.getElementById("cantidad").value;
			miPopup = window.open("comprobararticulo_super.php?cdgbar="+codigobarras+"&cdgcli="+codigo+"&dsccli="+dsccli+"&cantidad="+cantidad+"&cliexento="+cliexento, "frame_datos2","width=1200,height=90,scrollbars=yes");
		
			
						actualizar_importe ();

			

		}
		
			
			}
			
			
				function validararticulo_descuento(){
			
			var codigo=document.getElementById("cdgcli").value;
	
				var cliexento=document.getElementById("cliexento").value;
	 			var dsccli=document.getElementById("dsccli").value;
			      var codigobarras=document.getElementById("cdgbar").value;
				  var cantidad=document.getElementById("cantidad").value;
			miPopup = window.open("comprobararticulo_descuento.php?cdgbar="+codigobarras+"&cdgcli="+codigo+"&dsccli="+dsccli+"&cantidad="+cantidad+"&cliexento="+cliexento, "frame_datos2","width=1200,height=90,scrollbars=yes");
		//window.open("clientes.php?cdgcli="+cdgcli+"&dsccli="+dsccli+"&cedcli="+cedcli+"&numtel="+numtel);

			
			}
		
		function cancelar() {
			
		    if (confirm(" Desea cancelar la factura ? "))
			location.href="index.php";
		}
		
		
		
		function valorexento()	 {		

			var cliexento=document.getElementById("cliexento").value;
			document.getElementById("cliexe2").value=cliexento;
			 document.getElementById("formulario_lineas").submit();  //escape salir
			

		}
	
	
				
		function aplicar_descuento()	 {		

			var codigo=document.getElementById("destot").value;
	
			if (destot=="") {
				alert ("El monto del descuento no puede ser 0.00");
	
				} else {
					
					if (confirm(" Desea aplicar el descuento a todas las lineas ? "))
				var codfacturatmp=document.getElementById("codfacturatmp").value;
				var destot=document.getElementById("destot").value;
			miPopup = window.open("aplicar_descuento.php?codfacturatmp="+codfacturatmp+"&destot="+destot+"&cliexento="+cliexento, "frame_datos5","width=900,height=90,scrollbars=yes");
				
				
				
				
				
				
	
						}
				}
		
		
		
		function limpiarcaja() {
			document.getElementById("dsccli").value="";
			document.getElementById("cedcli").value="";
		}
		
			function limpiararticulo() {
			document.getElementById("cdgbar").value="";
			document.getElementById("dscart").value="";
			document.getElementById("descuento").value="";
			document.getElementById("preivi").value="";
			document.getElementById("importe").value="";
			document.getElementById("cantidad").value="";
			document.getElementById("mondes").value="";
		}
		
	////////////////////////   carga las lineas al frame lineas super ///////////////////
		
		function actualizar_importe()		{   
			

				var mensaje_descuento="";
		
				if (document.getElementById("descuento").value >= 100) mensaje_descuento="  - Favor Revisar\n";

		if (mensaje_descuento!="") {
					alert("Atencion, el descuento no puede ser igual o mayor a 100:\n\n"+mensaje_descuento);
				} else {
		
		if (document.getElementById("cliexento").value==1){
		
	
	
			    	document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
				var tipart=document.getElementById("tipart").value;
				var ivporc=document.getElementById("ivporc").value;
				
				
			
			
					if (document.getElementById("cob_iv").value==1) {
			
		          if(document.getElementById("tipart").value==2){
				
				$tazaimp= (ivporc/100)+1;            1.13  ///////
				descuento=descuento/100;             1.10 
				total=preivi*cantidad;	             8849
				parcial_total=total/$tazaimp;
				descuento=parcial_total*descuento;  884.49
				
				total_sin_descuento=parcial_total-descuento;     7964 
				total_sin_impuesto=total_sin_descuento/$tazaimp;    1035
				taza_impuesto=ivporc/100;               0.13  ///////////////          
				
				impuesto=(total_sin_descuento*$tazaimp)-total_sin_descuento;
				total_final=parcial_total;
				var original=parseFloat(total_final);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				
				} else {
				
				
				descuento=descuento/100;
				total=preivi*cantidad;	
				descuento=total*descuento;
				total_sin_descuento=total-descuento;
				
				tazaimpuesto=ivporc/100;    
				
				impuesto=total_sin_descuento * tazaimpuesto;
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value=impuesto;
				document.getElementById("mondes").value=descuento;
				
				} 
				} else {
					
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento; 
			
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
			
			}
			} 
			
			
				if (document.getElementById("cliexento").value==2){
			
			document.getElementById("importe").value="";
				var preivi=document.getElementById("preivi").value;
				var cantidad=document.getElementById("cantidad").value;
				var descuento=document.getElementById("descuento").value;
			
				descuento=descuento/100;
				total=preivi*cantidad;
				descuento=total*descuento;
				
				var original=parseFloat(total);
				var result=Math.round(original*100)/100 ;
				document.getElementById("importe").value=result;
				document.getElementById("impuesto").value="";
				document.getElementById("mondes").value=descuento;
					
			
				}
			}
				}
		
		
		
		
		function verificar(){
		
				document.getElementById('frame_lineas').contentWindow.cambio();	
		}
		
			function validar_cabecera(){
			
			      ejecucion = localStorage.getItem('validar_cabecera_en_ejecucion')            
           
		    if(ejecucion == null){
			
                localStorage.setItem('validar_cabecera_en_ejecucion',true)

	   var mensaje="";
			 if (document.getElementById("cliexento").value==2) {	
			 if (document.getElementById("cdgtipexo").value=="") mensaje+="  - Debe Selecionar el Tipo de Exoneracion\n"; enfoque="cdgtipexo" ; 
		     if (document.getElementById("numdocexo").value=="") mensaje+="  - Numero de Documento de la exoneracion\n"; enfoque="numdocexo" ; 
			 if (document.getElementById("nominstexo").value=="") mensaje+="  - Nombre de la Institucion a exonerar\n"; enfoque="nominstexo" ; 
				}

		 		
			var codigo=document.getElementById("cdgcli").value;	
	   if (codigo =! 9999){
		
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
		}	
			
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario.filas_error.value != "0" ) mensaje+="  - Error ! Pedido presenta Lineas con total 0.00,   Corriga el ERROR y vuleva a intentar guardarlo\n";
				if (document.formulario.filas_comodin.value != "0" )  {
				 alert("Advertencia, el Pedido posee articulos COMODIN ");
					    localStorage.removeItem('validar_cabecera_en_ejecucion')	
			     }
		
		
		
		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
											    localStorage.removeItem('validar_cabecera_en_ejecucion')	
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total=document.getElementById("total_verificar").value;
					
					
						
						saldofinal=limcre-salact;
						
						if (   total  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
												    localStorage.removeItem('validar_cabecera_en_ejecucion')	
				
						} else {
				
					  dsccli.disabled=false;
					document.getElementById("formulario").submit();
					}
				
				} else {
				
						  dsccli.disabled=false;
					document.getElementById("formulario").submit();
		
				}
				
				
				
				}
				
			}	
		}	
		
		
			function validar_cabecera2(){
			
		if (confirm(" Desea Guardar la Factura ? "))
		
		var mensaje="";
		
		
					if (document.getElementById("cliexento").value==2) {	
			 if (document.getElementById("cdgtipexo").value=="") mensaje+="  - Debe Selecionar el Tipo de Exoneracion\n"; enfoque="cdgtipexo" ; 
		     if (document.getElementById("numdocexo").value=="") mensaje+="  - Numero de Documento de la exoneracion\n"; enfoque="numdocexo" ; 
			 if (document.getElementById("nominstexo").value=="") mensaje+="  - Nombre de la Institucion a exonerar\n"; enfoque="nominstexo" ; 
				}

			var codigo=document.getElementById("cdgcli").value;	
	
		   if (codigo =! 9999){
		
			miPopup = window.open("comprobarcliente.php?cdgcli="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
		}	
		
				
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";

		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total=document.getElementById("total_verificar").value;
					
					
						
						saldofinal=limcre-salact;
						
						if (   total  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
				
						} else {
							
				
					  dsccli.disabled=false;
					document.getElementById("formulario").submit();
					}
				
				} else {
				
	
				document.getElementById('frame_lineas').contentWindow.validarvuelto();
		
				}
				
				
				
				}
				
			}	
		
		
		
		function pagar()
			{
			
				var mensaje="";
				if (document.getElementById("cdgcli").value=="") mensaje+="  - Código Cliente\n";
				if (document.getElementById("dsccli").value=="") mensaje+="  - Nombre del Cliente\n";
			    if (document.formulario_lineas.total.value=="") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0.00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0,00") mensaje+="  - Total de Factura no puede ser 0.00\n";
				if (document.formulario_lineas.total.value=="0") mensaje+="  - Total de Factura no puede ser 0.00\n";

		
				
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
				
				var combotipoventa=document.getElementById("combotipoventa").value;
				
				if (combotipoventa==2) {
									
						var limcre=document.getElementById("limcre").value;
						var salact=document.getElementById("salact").value;
						var total3=document.getElementById("total3").value;
						
						saldofinal=limcre-salact;
						
						if (   total3  >    saldofinal) {
				
						alert("Atencion, Factura excede el limite de credito, Consulte con el Administrador");
				
						} else {
					
					alert("Atencion, Factura de credito cambio el tipo de factura para ser cancelada");
					}
				} else {
					
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="";
					document.getElementById("importe").value="";
					
					document.forms.formulario_lineas.action="Pagar.php";
					document.getElementById("formulario_lineas").submit();
						
				
				}
				}
				
			}	
		
		
		
		function validar() 
			{
			
			
			   
			   
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
				

						
		        
				if (document.getElementById("cdgbar").value==100) {
	
			document.getElementById("cantidad").value="";
			document.getElementById("importe").value="";
			document.getElementById("preivi").value="";
	
		
		
			if (document.getElementById("dscart").value=="") {
					
					document.getElementById("dscart").focus();
					
			} else {				
					
						
					document.getElementById("formulario_lineas").submit();
					
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="1.00";
					document.getElementById("importe").value="";
					document.getElementById("descuento").value="0.00";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
    				document.getElementById("cdgbar").focus();
			
		}
			} else {
				
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n"; enfoque="cdgbar" ; 
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";
				
				if (document.getElementById("cantidad").value=="0.00") mensaje+="  - La Cantidad no puede ser 0.00\n"; enfoque="cantidad" ; 
	   			if (document.getElementById("cantidad").value=="0") mensaje+="  - La Cantidad no puede ser 0.00\n"; enfoque="cantidad" ; 
				//if (document.getElementById("preivi").value=="0") mensaje+="  - El precio no puede ser 0.00\n";    enfoque="preivi" ; 
				//if (document.getElementById("preivi").value=="0.00") mensaje+="  - EL Precio no puede ser 0.00\n"; enfoque="preivi" ; 
				if (document.getElementById("preivi").value=="") { 
				
				
			
			   
	
					
							mensaje+="  - Falta el Precio\n"; 
						    enfoque="preivi" ; 
						} else {
							if (isNaN(document.getElementById("preivi").value)==true) {
								mensaje+="  - El Precio debe ser numerico\n";
							}
						}
				if (document.getElementById("cantidad").value=="") 
						{ 
						mensaje+="  - Falta la cantidad\n";
						enfoque="cantidad" ; 
						} else {
							entero=document.getElementById("cantidad").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								enfoque="cantidad" ; 
							} else {
									document.getElementById("cantidad").value=entero;
								}
						}
				if (document.getElementById("descuento").value=="") 
						{ 
						document.getElementById("descuento").value=0 
						} else {
							actualizar_importe();	
							entero=document.getElementById("descuento").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento debe ser numerico\n";
							} else {
								document.getElementById("descuento").value=entero;
							}
						} 
						actualizar_importe();
						
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Subtotal\n";
				if (document.getElementById("importe").value=="0") mensaje+="  - El subtotal no puede ser 0\n";
				if (document.getElementById("importe").value=="0.00") mensaje+="  - El Subtotal no puede ser 0.00\n";
				if (document.getElementById("importe").value < "0") mensaje+="  - El Subtotal no puede ser menor a  0.00\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
					
					document.getElementById(enfoque).select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
						preivi.disabled=false;
		                dscart.disabled=false;
					
			
						
					
					
					document.getElementById("formulario_lineas").submit();
					
					document.getElementById("cdgbar").value="";
					document.getElementById("dscart").value="";
					document.getElementById("preivi").value="";
					document.getElementById("cantidad").value="1.00";
					document.getElementById("importe").value="";
					document.getElementById("descuento").value="0.00";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto").value="";	
    				document.getElementById("cdgbar").focus();
					}
					
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	

//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario_lineas"

	
//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 	
			//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit		
		validardescuento();	//eliminar este alert para uso normal
		 
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
	  
		 eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')

         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	

function chequear(){
	
				var cdgcli=document.getElementById("cdgcli").value;

	
	if (cdgcli.value == "9999" || cdgcli.value == "8888"){
			combotipoventa.disabled=true;
		dsccli.disabled=false;
		//cedcli.disabled=false;
		
	} else {

		combotipoventa.disabled=false;	
		dsccli.disabled=true;
		//cedcli.disabled=true;
		//document.getElementById("combotipoventa").value=1;

	
	}
}







	
function chequea(cdgcli,combotipoventa,dsccli){
	if (cdgcli.value == "9999" || cdgcli.value == "8888"){
		combotipoventa.disabled=true;
		dsccli.disabled=false;
		//cedcli.disabled=false;

		

		
	} else {

	 
			combotipoventa.disabled=false;	
		dsccli.disabled=true;
		//cedcli.disabled=true;
		document.getElementById("combotipoventa").value=1;
		
	}
}




function chequea_articulo (tipart){
				
	if (tipart == 2) {
	//if ( cdgbar.value =="100"|| cdgbar.value =="101" || cdgbar.value =="102" ) {
		
	    preivi.disabled=false; 
		dscart.disabled=false;

		 } else  {
		

	  	preivi.disabled=false;	 //  PERMITE EDITAR LA CASILLA PRECIO PARA BONIFICACION
		dscart.disabled=true;
		

			}
			
	
				}
			

			

 function  habilitarexento()     {
 
 	var cliexento=document.getElementById("cliexento").value;
	if ( cliexento == 2 ) {
		
	    cdgtipexo.disabled=false; 
		numdocexo.disabled=false;
		nominstexo.disabled=false;

		 } else  {
		
	    cdgtipexo .disabled=true; 
		numdocexo.disabled=true; 
		nominstexo.disabled=true; 
	    document.getElementById("cdgtipexo").value="";
		document.getElementById("numdocexo").value="";
		document.getElementById("nominstexo").value="";

			}
	
        }


function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function inicio(){
	   		
									    localStorage.removeItem('validar_cabecera_en_ejecucion')	
			document.getElementById("cdgbar").focus();
			document.getElementById("cliexento").value=1;
			document.getElementById("cliexe2").value=1;

			combotipoventa.disabled=true;	
			dsccli.disabled=false;	
		     
			document.getElementById("cdgtipexo").value="";
		    document.getElementById("formulario_lineas").submit();
	
}

function devolver(){
	   		
				
			cdgbar.disabled=false;	
	
}


	function reimprimir(){

	var numfac=document.getElementById("numfac").value;	
			
			if (numfac=="") {
					alert("Verifique debe digitar un numero de factura");
			} else {
		miPopup = window.open("Comprobar_Factura.php?numfac="+numfac, "frame_datos4","width=900,height=90,scrollbars=yes");

		document.getElementById("numfac").select();

				}
				
			}	
		
		function reimprimir_factura(){

	var numfac=document.getElementById("numfac").value;	
			
			
	window.open("../fpdf/imprimir_factura_TERMICA_SUPER_REIMPRESA.php?numfac="+numfac);	
			document.getElementById("numfac").value="";
				}
				
		
		

		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body onKeyDown="javascript:f5()" onLoad=" nobackbutton(); inicio(); ">
				<div id="">
			<div id="zonaVentanas">
				<div align="center">

				
					<div class="contenidoFactura3">
				<form id="formulario" name="formulario" method="post" action="guardar_proforma_super.php">
				  <table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
						
				        <tr>
					        <td colspan="2" rowspan="4"><img src="../img/Logo_FACTURA.png" alt="logo" ></td>
					        <td colspan="3"><?php
 
$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
 
echo $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') ;
//Salida: Viernes 24 de Febrero del 2012
 
?></td>
    <input id="enlinea"   readonly style='text-align:center;'  name="enlinea" value="<?php echo $enlinea; ?> "  type="hidden" >
                            <td>&nbsp;</td>
                          <input id="enlinea"   readonly style='text-align:center;'  name="enlinea" value="<?php echo $enlinea; ?> "  type="hidden" >
				          <td width="9%"><? echo date("h:i:s A"); ?></td>
					        <td colspan="4" rowspan="4"><div align="center" class="Estilo1">
				            <input id="total2"   readonly style='text-align:right;'  class="fuente_totales2" name="total2" value=" 0.00"  type="text" >
			              </div></td>
				          <td width="1%" rowspan="6">&nbsp;</td>
			          </tr>
				        
				        <tr>
				          <td colspan="2">Cajero:  <?php echo $nomb; ?></td>
					      <td width="16%" colspan="2">&nbsp;</td>
					      <td><div align="center"><strong >A COBRAR</strong></td
			          >
			          </tr>
					    <tr>
					      <td colspan="2"><input name="vehpla" class="cajaMedia" id="vehpla"   type="hidden">
					        
					        <input name="vuelto2"  id="vuelto2"   type="hidden">
					        <input name="pagacon2"  id="pagacon2"    type="hidden">
					        <input name="efectivo2"  id="efectivo2"   type="hidden">
					        <input name="depositos2" id="depositos2"   type="hidden">
					        <input name="cheques2"  id="cheques2"   type="hidden">
					        <input name="tarjetas2"  id="tarjetas2"   type="hidden">
					        <input name="dolares2"  id="dolares2"    type="hidden"></td>
						    <input name="vencido"  id="vencido" value=""  type="hidden">
					        <input name="filas_error"  id="filas_error"   type="hidden">
							<input name="filas_comodin"  id="filas_comodin"   type="hidden">
                          <td colspan="2"><input name="cdgven" type="hidden" class="cajaGrande" id="cdgven" size="10" maxlength="10" style='text-align:center;' value=" <?php echo $cdgven?>" readonly>
                          <input name="cedcli" type="hidden" class="cajaGrande" id="cedcli" size="20" maxlength="15"  disabled=true autocomplete= "off" onFocus="siguienteCampo ='combotipoventa';">
                          <input name="obsped2"  id="obsped2"    type="hidden">
                          <input name="fecha" type="hidden" class="cajaGrande" id="fecha" size="10" maxlength="10" style='text-align:center;' value=" <?php echo $hoy?>" readonly>
                          <input name="cob_iv"  id="cob_iv" value=" <?php echo $ivaimp?>" onChange="cambio_cob_iv()" type="hidden">
                          <input name="kmsveh" type="hidden" class="cajaMedia" id="kmsveh" size="20" maxlength="15" onFocus="siguienteCampo ='cdgcli';">
                          <input name="codfactura_contado"  id="codfactura_contado" value=" <?php echo $codfactura_contado?>"   type="hidden">
                          <input name="clades"  id="clades" value=" <?php echo $clades?>"   type="hidden">
                          <input name="tipcamdol2"  id="tipcamdol2" value=" <?php echo $tipcamdol?>"   type="hidden"></td>
						  <td rowspan="2">&nbsp;</td>
					    </tr>
					    
					    <tr>
					      <td><select id="cdgtipexo" name="cdgtipexo" class="comboGrande"  value""  onChange="redireccionar(this);"  disabled autofocus >
                            <?php
							
					
					  	$exoneracion="SELECT * FROM hac_tipo_exoneracion ";
                        $resultado = $mysqli->query($exoneracion) 
						?>
                            <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                            <option value="<?php echo  $fila["cdgtipexo"]?>"><?php echo  $fila["dsctipexo"]?></option>
                            <?php 
								} ?>
                          </select></td>
					      <td><input name="numdocexo" type="text" class="cajaGrande" id="numdocexo" size="17" maxlength="17" disabled=true  autocomplete= "off"  placeholder="Numero Documento" onFocus="siguienteCampo ='vehpla';"></td>
					      <td colspan="2"><input name="nominstexo" type="text" class="cajaGrande" id="nominstexo" size="100" maxlength="100" disabled=true  autocomplete= "off"   placeholder="Institucion Exonerada" onFocus="siguienteCampo ='vehpla';"></td>
			        </tr>
						<tr>
						  <td width="1%">&nbsp;</td>
						  <td width="15%"><input name="cdgcli" style='text-align:center;'  type="text" class="cajaPequena" id="cdgcli"  maxlength="5" click="limpiarcaja()"  autocomplete= "off" value="9999" onKeyUp="chequea(this,this.form.combotipoventa,dsccli); "  onChange="chequea(this,this.form.combotipoventa,dsccli); validarcliente(); " onFocus="  siguienteCampo ='cliexento'; ">
					      <img src="../img/Search_Male_User_Icon_32.png" alt="" width="25" height="25" title="Buscar cliente" onClick="abreVentana()" onMouseOver="style.cursor=cursor"></td>
						  <td width="13%"><select id="combotipoventa" name="combotipoventa" class="comboGrande" onChange="redireccionar(this);"  disabled autofocus>
                            <?php
							
					
					  	$tipo="SELECT * FROM tipoventa ";
                        $resultado = $mysqli->query($tipo) 
						?>
                            <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                            <option value="<?php echo  $fila["cdgtipven"]?>"><?php echo  $fila["dsctipven"]?></option>
                            <?php 
								} ?>
                          </select></td>
						  <td width="12%"><select id="cliexento" name="cliexento" class="cajaGrande"  onChange="valorexento(); habilitarexento() "  >
                            <?php
					            
					        $artexe= 1;
                            $query_artexe = "SELECT * FROM tipocliente ORDER BY cdgtipcli ASC";
                            $result = $mysqli->query($query_artexe);
					  ?>
                            <?php
					 while ($fila = $result->fetch_assoc()) { 
					          if ($artexe ==  $fila["cdgtipcli"]) { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>" selected="selected"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } else { ?>
                            <option value="<?php echo  $fila["cdgtipcli"]?>"><?php echo  $fila["dsctipcli"]?></option>
                            <?php } ;
								} ?>
                          </select></td>
						  <td><input name="destot"  class="cajaGrande" autocomplete= "off" type="text" size="8"  style='text-align:center;' id="destot"  placeholder="DCTO" onChange="aplicar_descuento()" onFocus=" siguienteCampo ='cdgbar';" ></td>
						  <td><select id="natdes" name="natdes"   class="comboGrande"  autofocus>
                            <?php
							
					
					  	$naturaleza="SELECT * FROM hac_naturaleza_descuento ";
                        $tipo_descuento = $mysqli->query($naturaleza) 
						?>
                            <?php
							while ($linea = $tipo_descuento ->fetch_assoc()) { ?>
                            <option value="<?php echo  $linea["dscnatdes"]?>"><?php echo  $linea["dscnatdes"]?></option>
                            <?php 
								} ?>
                          </select></td>
						  <td rowspan="2"><div align="center"><strong >DOLARES</strong></td>
						    <input NAME="cdgclifac" class="cajaMedia" id="cdgclifac"  value="9999"  type="hidden" >
							   <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
							    <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
                                <input id="total_verificar" name="total_verificar" value=""  type="hidden" >
                    
								
					      <td colspan="4" rowspan="2"><div align="center" class="Estilo1">
					        <input id="total_dolar"   readonly style='text-align:right;'  class="fuente_totales2" name="total_dolar" value="0.00"  type="text" >
				          </div></td>	
				      </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td colspan="5"><input name="dsccli" type="text" class="cajaGrande" id="dsccli" size="45" maxlength="45" disabled=true  autocomplete= "off"  value="ESTIMADO CLIENTE"  onFocus="siguienteCampo ='vehpla';"></td>
						</tr>
				  </table>		
	
			  <input id="cliexe" name="cliexe" value=" <?php echo $cliexe?>"  type="hidden">								
			  <input id="codfacturatmp" name="codfacturatmp" value=" <?php echo $codfacturatmp?>" type="hidden">
			  <input id="baseimpuestos" name="baseimpuestos" value=" <?php echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible" name="baseimponible" value=" <?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal" name="preciototal" value=" <?php echo $codnotatmp?>" type="hidden">
			  <input id="accion" name="accion" value="alta" type="hidden">
			  </form>
				
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_super.php" target="frame_lineas">
				<table class="" width="100%"  border="0" ID="Table10" >
          		  <input id="posicion" name="posicion" type="hidden" value="  <?php echo $posicion ?>" >
				   <input id="cliexe2" name="cliexe2"  type="hidden" value=" <?php echo $cliexe?>"  >
                    <input id="destot2" name="destot2"  type="hidden" value=" <?php echo $destot?>"  >
				   	  <input id="filas" name="filas" value=" <?php echo $filas?>"  type="hidden" >
                       <input id="tipcamdol" name="tipcamdol" value=" <?php echo $tipcamdol?>"  type="hidden" >	
                       <input name="cdgclifac2" class="cajaMedia" id="cdgclifac2"   value="9999" type="hidden" >
					 <input id="dsccli2" name="dsccli2" value="CLIENTE CONTADO" type="hidden">
                     <input name="tipart" class="cajaMedia" id="tipart"   value="" type="hidden" >
                     <input id="codfacturatmp2" name="codfacturatmp2" value=" <?php echo $codfacturatmp?>" type="hidden">
				  <tr>
				    <td width="16%"><input name="cdgbar" type="text"  id="cdgbar"   onChange="validararticulo()"      maxlength="40"  onFocus="siguienteCampo ='descuento';" onKeyUp=""   class="cajaGrande"  ></td>
				    <td   width="5%" ><img src="../img/search-b-icon (5).png" alt="Buscar" width="32" height="32" title="Buscar articulos" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor"></td>
			        <td   width="5%" ><input name="cantidad" type="text"  style='text-align:center;' id="cantidad"  class="cajaGrande" value="1.00" autocomplete= "off"  onFocus="siguienteCampo ='descuento';" onKeyUp="" ></td>
			        <input id="impuesto" name="impuesto" value=" <?php echo $impuesto?>"  type="hidden">
					<td   width="25%"><input name="dscart" maxlength="40"    type="text"id="dscart" class="cajaGrande"   autocomplete= "off"   onFocus="siguienteCampo ='preivi';"  ></td>
                    <input name="mondes" type="hidden" id="mondes">
                    <input name="desmin" type="hidden" id="desmin">
                    <input name="desmax" type="hidden" id="desmax">
					<input name="ivporc" type="hidden" id="ivporc">
                   
                    
					<td   width="5%">Precio</td>
					<td   width="12%"><input NAME="preivi" type="text"  style='text-align:right;' id="preivi" autocomplete= "off"    class="cajaGrande" onFocus=" siguienteCampo ='descuento';"></td>
					<td width="7%"><div align="right">Descuento</div></td>
					<td width="12%"><input name="descuento"  class="cajaGrande" autocomplete= "off" type="text"  style='text-align:center;'  id="descuento"   value="0"   onFocus=" siguienteCampo ='fin'; "  ></td>
					<td width="6%">&nbsp;</td>
				<td width="6%">Tipo $</td>
					<td width="3%"> <?php echo $tipcamdol?></td>
					
					<td width="2%"><input name="codarticulo" value=" <?php echo $codarticulo?>" type="hidden" id="codarticulo">					  <input name="importe" type="hidden"  id="importe"  value="0" style='text-align:right;' 
					onFocus="ponDecimales(2)"  class="cajaGrande" readonly></td>
					<td width="4%"><img src="../img/Arrow-Down_32x32-32.png" t width="32" name="fin" id="fin" height="32" border="0" onClick="validar()" onMouseOver="style.cursor=cursor" title="Agregar articulo"></td>
				  </tr>
				</table>
				
				
			
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
						
							<td width="9%">CODIGO</td>
							<td width="56%">DETALLE</td>
							<td width="7%"><span >CANT.</span></td>
							<td width="9%">PRECIO</td>
							<td width="6%">DCTO</td>
							<td width="11%">SUBTOTAL</td>
							<td width="2%">&nbsp;</td>
			  </tr>
				</table>
				
			  </div>
				<table width="100%" border="0">
				  <tr>
				    <td height="237" colspan="6"><iframe align="left" width="100%" height="260" id="frame_lineas" name="frame_lineas" frameborder="0"> <ilayer width="100%" height="60" id="frame_lineas" name="frame_lineas"></ilayer></iframe></td>
			      </tr>
				  <tr>
				    <td rowspan="2" bordercolor="#003366"  border="1">Observaci&oacute;n</td>
				    <td colspan="3" rowspan="2" bordercolor="#003366"  border="1"><span class="Estilo11">
			        <textarea  id="obsped" name="obsped" maxlength="200" class="textarea_pedido"    onBlur="guardar_observacion()" ></textarea>
			        </span></td>
				    <td width="16%" height="1"  align="right">SubTotal: </td>
				    <td width="19%"  align="right"><input readonly id="subtotal"  style='text-align:right;'  class="fuente_factura" name="subtotal" value=" 0.00"  type="text" ></td>
			      </tr>
				  <tr>
				    <td   align="right">Descuento: </td>
				    <td   align="right"><input id="descuento2"  readonly style='text-align:right;'  class="fuente_factura" name="descuento2" value=" 0.00"  type="text" ></td>
			      </tr>
				  <tr>
				    <td bordercolor="#003366"  border="1">Existencia</td>
				    <td bordercolor="#003366"  border="1"><input id="existencia"   readonly style='text-align:left;' class="fuente_factura"  name="existencia"   type="text" ></td>
				    <td rowspan="2" bordercolor="#003366"  border="1"><div id="botonBusquedaAWGP2">
				      <div align="center">
				        <div align="center" class="online2"><img src="../img/Save_48x48-32.png" alt="SS" width="48" height="48"  id="boton"  title="Guardar e Imprimir"  onClick=" validar_cabecera(); " ></div>
			          </div>
			        </div></td>
				    <td rowspan="2" bordercolor="#003366"  border="1"><div id="botonBusquedaAWGP2">
				  <div align="center" class="online2">	<img src="../img/Symbol-Delete_48x48-32.png" alt="2" width="48" height="48" class="aCentro" onClick="cancelar()" onMouseOver="style.cursor=cursor" border="0"></td>
					<div align="center">
					   
				    <td   align="right">Impuesto: </td>
				    <td   align="right"><input id="imp" readonly  style='text-align:right;'  class="fuente_factura" name="imp" value="0.00"  type="text" ></td>
			      </tr>
				  <tr>
				    <td width="10%" height="23" bordercolor="#003366"  border="1">&nbsp;</td>
				    <td width="17%" bordercolor="#003366"  border="1"><input id="estante"   readonly style='text-align:left;'  class="fuente_factura"  name="estante"   type="hidden" >
			        <input id="pasillo"  border="0"  readonly style='text-align:left;' class="fuente_factura"  name="pasillo"   type="hidden" ></td>
				    <td   align="right">Total:</td>
				    <td   align="right"><input id="total" readonly  style='text-align:right;'  class="fuente_factura" name="total" value="0.00"  type="text" ></td>
			      </tr>
				  </table>
				<div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center">
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">IVA</td>
				<td align="right"><div align="center"> 
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center"> 
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
				    <input id="codfamilia" name="codfamilia" value=" <?php echo $codfamilia?>" type="hidden">
				    <input id="codfacturatmp" name="codfacturatmp" value=" <?php echo $codfacturatmp?> " type="hidden">	
					
					
					    
			      </div>
				</div>
					<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					 <ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
			 	  </iframe>
                      
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
                    
                    <iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
                    
                    <iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos4"></ilayer>
					</iframe>
					
					   <iframe id="frame_datos5" name="frame_datos5" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos5" name="frame_datos5"></ilayer>
					</iframe>
                    
                       <iframe id="frame_datos6" name="frame_datos6" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos6" name="frame_datos6"></ilayer>
					</iframe>
                    
                    <div id="popup">
   					 <div>Clave Extradescuento</div>
                     <BR> 
   					 <input  autofocus id="pass" size="8"  style='text-align:center;'  name="pass"  value="" type="password" onFocus="siguienteCampo ='descuento';"   onBlur="done();"/>
   			  
					</div>
		
			  </form>
			 </div>
    </div>
		</div>
	</body>
</html>





